cURL
curl -sS -X GET 'https://apipub.firstbasehq.com/api/v1/inventory-levels?page=1&size=100' \
-H 'Authorization: ApiKey YOUR_API_KEY' \
-H 'Accept: application/json'import requests
url = "https://apipub.firstbasehq.com/api/v1/inventory-levels"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://apipub.firstbasehq.com/api/v1/inventory-levels', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"skuId": "123e4567-e89b-12d3-a456-426614174000",
"warehouseId": "123e4567-e89b-12d3-a456-426614174000",
"minQuantity": 5,
"maxQuantity": 20,
"includeUsed": true,
"autoCreate": true,
"active": true,
"stockDetails": {
"newInventories": 12,
"usedInventories": 3,
"pendingInventoryOrders": 2,
"totalAvailable": 14,
"totalItemsToOrder": 6
},
"regionId": "123e4567-e89b-12d3-a456-426614174000",
"customerPoNumber": "PO-12345",
"createdInventoryOrderId": "123E4567-E89B-12D3-A456-426614174000"
}
]{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}Inventory Levels
List inventory levels
Returns a paginated list of inventory level configurations (min/max stock rules) for the caller’s organization. Each record defines the minimum and maximum quantity thresholds for a specific SKU at a specific warehouse. Supports filtering by SKU, warehouse, region, category, brand, and active status.
GET
https://apipub.firstbasehq.com
/
api
/
v1
/
inventory-levels
cURL
curl -sS -X GET 'https://apipub.firstbasehq.com/api/v1/inventory-levels?page=1&size=100' \
-H 'Authorization: ApiKey YOUR_API_KEY' \
-H 'Accept: application/json'import requests
url = "https://apipub.firstbasehq.com/api/v1/inventory-levels"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://apipub.firstbasehq.com/api/v1/inventory-levels', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"skuId": "123e4567-e89b-12d3-a456-426614174000",
"warehouseId": "123e4567-e89b-12d3-a456-426614174000",
"minQuantity": 5,
"maxQuantity": 20,
"includeUsed": true,
"autoCreate": true,
"active": true,
"stockDetails": {
"newInventories": 12,
"usedInventories": 3,
"pendingInventoryOrders": 2,
"totalAvailable": 14,
"totalItemsToOrder": 6
},
"regionId": "123e4567-e89b-12d3-a456-426614174000",
"customerPoNumber": "PO-12345",
"createdInventoryOrderId": "123E4567-E89B-12D3-A456-426614174000"
}
]{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}{
"errors": [
{
"detail": "Invalid request",
"source": "request"
}
]
}Authorizations
Query Parameters
Response
Paginated list of inventory level configurations with current stock details